Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/invoices

Prev
Get
/public/v1/invoices

Retrieves all invoices for the specified parameters

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
modifiedOnStart
string($date-time)

Starting datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnEnd'

modifiedOnEnd
string($date-time)

Ending datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnStart'

dateStart
string($date)

Starting date of 'date' range; must be accompanied by 'dateOfBusinessEnd'

dateEnd
string($date)

Ending date of 'date' range; must be accompanied by 'dateOfBusinessStart'

status
string

Filter for 'status' property, one of 'In Progress', 'Completed', or 'Approved'

invoiceNumber
string

Filter for 'invoiceNumber' property

locationIds
string($uuid)

Identifier of the location to filter by

pageSize
integer($int32)

Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response

transactionType
string
continuationToken
string
Responses
200

list of invoice entities

Expand All
object

A response containing invoices.

items
Array of object (R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoPublicDto) | null

Collection of public accounts payable invoices records returned in this page.

object

An Accounts Payable Invoice or Credit Memo.

id
string (uuid)

The unique identifier for the invoice.

transactionType
string | null

The type of transaction, either Invoice or Credit Memo.

name
string | null

The invoice name.

number
string | null

The invoice number.

amount
number (double)

The total amount of the invoice.

isPaid
boolean | null

Indicates if the invoice has been paid.

creditExpected
number (double) | null

The amount of credit expected on the invoice.

overhead
number (double) | null

The amount of overhead to be applied to invoice detail rows.

comment
string | null

A user comment for the invoice.

status
string | null

The approval status of the invoice.

date
string (date)

The date of the invoice.

documentDate
string (date)

The document date of the invoice.

dueDate
string (date) | null

The due date of the invoice.

legalEntity
object (R365.Inventory.Shared.Contracts.LegalEntities.LegalEntityReference)

A reference to a legal entity.

id
string (uuid)

Unique identifier of the legal entity.

name
string | null

Display name of the legal entity.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

vendor
object (R365.Inventory.Shared.Contracts.Vendors.VendorReference)

A reference to a vendor.

id
string (uuid)

Unique identifier of the vendor.

name
string | null

Display name of the vendor.

number
string | null

Number assigned to the vendor.

purchaseOrder
object (R365.Inventory.Shared.Contracts.PurchaseOrders.PurchaseOrderReference)

A reference to a purchase order.

id
string (uuid)

Unique identifier of the purchase order.

name
string | null

Display name of the purchase order.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time) | null

The date the invoice was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date the invoice was last modified.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The date the invoice was approved.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date the invoice was completed.

details
Array of object (R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoDetailPublicDto) | null

The invoice line item details.

object

A detail for an Accounts Payable Invoice or Credit Memo.

id
string (uuid)

The unique identifier for the detail.

comment
string | null

The detail comment.

eachAmount
number (double)

The amount of each item in the line item.

overhead
number (double)

Overhead [ex: freight] that should be added to the line item total.

generalLedgerAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

quantity
number (double)

The quantity of the item.

quantityOrdered
number (double) | null

The quantity ordered for this line item, if linked to a purchase order. This is defined in the same unit of measure as the quantity field for what was received on this invoice.

total
number (double)

The total amount of the line item.

unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

vendorItem
object (R365.Inventory.Shared.Contracts.Vendors.VendorItemReference)

A reference to a vendor item.

id
string (uuid) | null

Unique identifier of the vendor item.

name
string | null

Display name of the vendor item.

number
string | null

Number assigned to the vendor item.

brandItemNumber
string | null
purchaseUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

splitUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

Expand All
object

A response containing invoices.

items
Array of object (R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoPublicDto) | null

Collection of public accounts payable invoices records returned in this page.

object

An Accounts Payable Invoice or Credit Memo.

id
string (uuid)

The unique identifier for the invoice.

transactionType
string | null

The type of transaction, either Invoice or Credit Memo.

name
string | null

The invoice name.

number
string | null

The invoice number.

amount
number (double)

The total amount of the invoice.

isPaid
boolean | null

Indicates if the invoice has been paid.

creditExpected
number (double) | null

The amount of credit expected on the invoice.

overhead
number (double) | null

The amount of overhead to be applied to invoice detail rows.

comment
string | null

A user comment for the invoice.

status
string | null

The approval status of the invoice.

date
string (date)

The date of the invoice.

documentDate
string (date)

The document date of the invoice.

dueDate
string (date) | null

The due date of the invoice.

legalEntity
object (R365.Inventory.Shared.Contracts.LegalEntities.LegalEntityReference)

A reference to a legal entity.

id
string (uuid)

Unique identifier of the legal entity.

name
string | null

Display name of the legal entity.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

vendor
object (R365.Inventory.Shared.Contracts.Vendors.VendorReference)

A reference to a vendor.

id
string (uuid)

Unique identifier of the vendor.

name
string | null

Display name of the vendor.

number
string | null

Number assigned to the vendor.

purchaseOrder
object (R365.Inventory.Shared.Contracts.PurchaseOrders.PurchaseOrderReference)

A reference to a purchase order.

id
string (uuid)

Unique identifier of the purchase order.

name
string | null

Display name of the purchase order.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time) | null

The date the invoice was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date the invoice was last modified.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The date the invoice was approved.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date the invoice was completed.

details
Array of object (R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoDetailPublicDto) | null

The invoice line item details.

object

A detail for an Accounts Payable Invoice or Credit Memo.

id
string (uuid)

The unique identifier for the detail.

comment
string | null

The detail comment.

eachAmount
number (double)

The amount of each item in the line item.

overhead
number (double)

Overhead [ex: freight] that should be added to the line item total.

generalLedgerAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

quantity
number (double)

The quantity of the item.

quantityOrdered
number (double) | null

The quantity ordered for this line item, if linked to a purchase order. This is defined in the same unit of measure as the quantity field for what was received on this invoice.

total
number (double)

The total amount of the line item.

unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

vendorItem
object (R365.Inventory.Shared.Contracts.Vendors.VendorItemReference)

A reference to a vendor item.

id
string (uuid) | null

Unique identifier of the vendor item.

name
string | null

Display name of the vendor item.

number
string | null

Number assigned to the vendor item.

brandItemNumber
string | null
purchaseUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

splitUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

Expand All
object

A response containing invoices.

items
Array of object (R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoPublicDto) | null

Collection of public accounts payable invoices records returned in this page.

object

An Accounts Payable Invoice or Credit Memo.

id
string (uuid)

The unique identifier for the invoice.

transactionType
string | null

The type of transaction, either Invoice or Credit Memo.

name
string | null

The invoice name.

number
string | null

The invoice number.

amount
number (double)

The total amount of the invoice.

isPaid
boolean | null

Indicates if the invoice has been paid.

creditExpected
number (double) | null

The amount of credit expected on the invoice.

overhead
number (double) | null

The amount of overhead to be applied to invoice detail rows.

comment
string | null

A user comment for the invoice.

status
string | null

The approval status of the invoice.

date
string (date)

The date of the invoice.

documentDate
string (date)

The document date of the invoice.

dueDate
string (date) | null

The due date of the invoice.

legalEntity
object (R365.Inventory.Shared.Contracts.LegalEntities.LegalEntityReference)

A reference to a legal entity.

id
string (uuid)

Unique identifier of the legal entity.

name
string | null

Display name of the legal entity.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

vendor
object (R365.Inventory.Shared.Contracts.Vendors.VendorReference)

A reference to a vendor.

id
string (uuid)

Unique identifier of the vendor.

name
string | null

Display name of the vendor.

number
string | null

Number assigned to the vendor.

purchaseOrder
object (R365.Inventory.Shared.Contracts.PurchaseOrders.PurchaseOrderReference)

A reference to a purchase order.

id
string (uuid)

Unique identifier of the purchase order.

name
string | null

Display name of the purchase order.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time) | null

The date the invoice was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date the invoice was last modified.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The date the invoice was approved.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date the invoice was completed.

details
Array of object (R365.Inventory.Public.Contracts.AccountsPayable.Models.AccountsPayableInvoiceOrCreditMemoDetailPublicDto) | null

The invoice line item details.

object

A detail for an Accounts Payable Invoice or Credit Memo.

id
string (uuid)

The unique identifier for the detail.

comment
string | null

The detail comment.

eachAmount
number (double)

The amount of each item in the line item.

overhead
number (double)

Overhead [ex: freight] that should be added to the line item total.

generalLedgerAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

quantity
number (double)

The quantity of the item.

quantityOrdered
number (double) | null

The quantity ordered for this line item, if linked to a purchase order. This is defined in the same unit of measure as the quantity field for what was received on this invoice.

total
number (double)

The total amount of the line item.

unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

vendorItem
object (R365.Inventory.Shared.Contracts.Vendors.VendorItemReference)

A reference to a vendor item.

id
string (uuid) | null

Unique identifier of the vendor item.

name
string | null

Display name of the vendor item.

number
string | null

Number assigned to the vendor item.

brandItemNumber
string | null
purchaseUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

splitUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

403

Forbidden

object
type
string | null
title
string | null
status
integer (int32) | null

Current status of the problem details.

detail
string | null
instance
string | null
422

Unprocessable Content

Expand All
object
errorCode
string | null
innerError
object (R365.Inventory.Public.Models.R365Error)
errorCode
string | null
innerError
object (R365.Inventory.Public.Models.R365Error) Recursive